/// Both start and end timestamp bounds must be provided together, or neither. Either provide both bounds or neither.
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct MissingTimestampBoundPair {
    #[serde(rename = "hasStart")]
    has_start: bool,
    #[serde(rename = "hasEnd")]
    has_end: bool,
}
impl MissingTimestampBoundPair {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(has_start: bool, has_end: bool) -> Self {
        Self::builder().has_start(has_start).has_end(has_end).build()
    }
    #[inline]
    pub fn has_start(&self) -> bool {
        self.has_start
    }
    #[inline]
    pub fn has_end(&self) -> bool {
        self.has_end
    }
}
impl conjure_error::ErrorType for MissingTimestampBoundPair {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Video:MissingTimestampBoundPair"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["hasEnd", "hasStart"]
    }
}
